View Issue Details

IDProjectCategoryView StatusLast Update
0000902OpenMPT[All Projects] Playback Compatibilitypublic2017-02-02 22:03
Reporterpigdevil2010Assigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.26.07.00 / libopenmpt 0.2-beta20.3 (upgrade first) 
Target VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)Fixed in VersionOpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first) 
Summary0000902: MOD Arpeggio Determination
Description

As I read somewhere in the ProTracker's replayer source, it determines the base note for arpeggio from the closest note to the current playing period. This includes portamento'd note. OpenMPT currently handles this incorrectly.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

pigdevil2010

pigdevil2010

2016-12-17 13:52

reporter  

ArpDetermination.zip (26,689 bytes)
Saga Musix

Saga Musix

2017-01-15 17:21

administrator   ~0002849

r7525 (soon available from https://builds.openmpt.org/) fixes this and related issues in S3M and MT2 format.

Issue History

Date Modified Username Field Change
2016-12-17 13:52 pigdevil2010 New Issue
2016-12-17 13:52 pigdevil2010 File Added: ArpDetermination.zip
2016-12-17 23:10 Saga Musix Assigned To => Saga Musix
2016-12-17 23:10 Saga Musix Status new => assigned
2017-01-15 17:21 Saga Musix Status assigned => feedback
2017-01-15 17:21 Saga Musix Note Added: 0002849
2017-02-02 22:03 Saga Musix Status feedback => resolved
2017-02-02 22:03 Saga Musix Resolution open => fixed
2017-02-02 22:03 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)
2017-02-02 22:03 Saga Musix Target Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (upgrade first)